> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplepay.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify and bind the reader returned by the native SDK



## OpenAPI

````yaml /en/openapi.json post /v1/in-person/readers/{id}/bind-sdk-reader
openapi: 3.1.0
info:
  title: SimplePay API
  version: '2026-06-13'
  description: >-
    Contrato público para integrar SimplePay desde un backend. Incluye
    únicamente operaciones para comercios y administración protegida de
    credenciales.
servers:
  - description: Live
    url: https://api.simplepay.mx
  - description: Sandbox
    url: https://api.test.simplepay.mx
security:
  - SimplePayApiKey: []
tags:
  - name: API keys
  - name: Hosted Checkout
  - name: Payment Links
  - name: Payments
  - name: Refunds
  - name: Webhooks
  - name: Digital Catalog
  - name: Payment Policy
  - name: Reporting
  - name: Workspace
  - name: Customer Hub
  - name: Bookable Payments
  - name: Table Pay
  - name: Physical Checkout
  - name: In-person Payments
  - name: Terminal
  - name: Tap to Pay
  - name: Ticketing
  - name: Admission Control
  - name: Intelligence
externalDocs:
  description: SimplePay developer documentation
  url: https://docs.simplepay.mx
paths:
  /v1/in-person/readers/{id}/bind-sdk-reader:
    post:
      tags:
        - In-person Payments
      summary: Verify and bind the reader returned by the native SDK
      operationId: bindInPersonSdkReader
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - sdk_reader_ref
              properties:
                sdk_reader_ref:
                  type: string
                  minLength: 1
                  maxLength: 255
      responses:
        '200':
          description: Verified provider-neutral reader.
components:
  securitySchemes:
    SimplePayApiKey:
      type: http
      scheme: bearer

````